Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class LayoutFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory

    class LayoutFactory
    extends BeanFactory

Field Summary
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT`
`static java.lang.String` | `DELEGATE_PROPERTY_CONSTRAINT`

Fields inherited from class BeanFactory
leaf

Property Summary
`java.lang.Object` | `contextProps`

Constructor Summary
`LayoutFactory(java.lang.Class klass)`
`LayoutFactory(java.lang.Class klass, boolean leaf)`

Method Summary
`void` | `addLayoutProperties(java.lang.Object context, java.lang.Class layoutClass)`
`void` | `addLayoutProperties(java.lang.Object context)`
`static java.lang.Object` | `constraintsAttributeDelegate(java.lang.Object builder, java.lang.Object node, java.lang.Object attributes)`
`static java.awt.Container` | `getLayoutTarget(java.awt.Container parent)`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

### DELEGATE_PROPERTY_CONSTRAINT

    public static final java.lang.String DELEGATE_PROPERTY_CONSTRAINT

Property Detail

### contextProps

    java.lang.Object contextProps

Constructor Detail

### LayoutFactory

    LayoutFactory(java.lang.Class klass)

### LayoutFactory

    LayoutFactory(java.lang.Class klass, boolean leaf)

Method Detail

### addLayoutProperties

    void addLayoutProperties(java.lang.Object context, java.lang.Class layoutClass)

### addLayoutProperties

    void addLayoutProperties(java.lang.Object context)

### constraintsAttributeDelegate

    static java.lang.Object constraintsAttributeDelegate(java.lang.Object builder, java.lang.Object node, java.lang.Object attributes)

### getLayoutTarget

    static java.awt.Container getLayoutTarget(java.awt.Container parent)

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

### setParent

    void setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation